Ppmrough User Manual(0)

NAME
ppmrough - create PPM image of two colors with a ragged border between them

SYNOPSIS
ppmrough [-left pixels] [-right pixels] [-top pixels] [-bottom pixels] [-width pixels] [-height pixels] [-bg colorspec] [-fg colorspec] [-var pixels] [-randomseed seed] [-verbose]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one. You may separate an option name and its value with white space instead of an equals sign.

DESCRIPTION

This program is part of Netpbm(1) .

ppmrough generates a PPM image of the specified width, height, and colors. ppmrough tiles the image into semi-rectangular regions with a ragged borders between them. It calculates the fluctuations with the rand() standard C library function.

ppmrough writes the PPM image to Standard Output.

The maxval of the output image is 255 (You can change this with pamdepth).

Use the options -left or -right, respectively, to make vertical borders, and -top or -bottom, respectively, to generate horizontal borders inside the image. Each of these options needs an integer value pixels that determines the average distance of the interior border to the related edge of the image. You may combine the -left, -right, -top, and -bottom options to generate an image with more than one border. The algorithm ensures that you can concatenate two images produced with the same (i.e. -left) value without dislocations.

You specify the dimensions of the generated image with the -width and -height options.

Use the -bg and -fg options to set the background (margin) color and the foreground (interior) color, respectively. If you don't specify any of the -left, -right, -top, and -bottom options, all pixels are set to foreground color. The defaults are white foreground and black background.

Use the -var option to control the "raggedness" of the border. The less its value is the smoother the border is. You can initialize the pseudo-random generator with the -init option.

You could use ppmrough with ppmtopgm to create a PGM transparency mask and use it to roughen up the edges of another image.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), ppmrough recognizes the following command line options:

-left=pixels
     Specifies the mean distance of the border from the left margin (default: no border).

-right=pixels
    Specifies the mean distance of the border from the right margin (default: no border).

-top=pixels
    Specifies the mean distance of the border from the top margin (default: no border).

-bottom=pixels
    Specifies the mean distance of the border from the bottom margin (default: no border).

-width=pixels
    Specifies the width of the image (default: 100).

-height=pixels
    Specifies the height of the image (default: 100).

-bg=colorspec
    Background color. colorspec is as described for the argument of the pnm_parsecolor() library routine (libnetpbm_image.html#colorname) . Default is black.

-fg=color
    Foreground color. colorspec is as described for the argument of the pnm_parsecolor() library routine (libnetpbm_image.html#colorname) . Default is white.

-var=pixels
     Specifies the variance of the ragged border (default: 10). Must be a positive integer. Set pixels to 1 to get a straight border.

-randomseed=seed
    Use this option to initialize the pseudo-random number generator (the Standard C library srand() function) with seed.

    Before Netpbm 10.61 (December 2012), this is called -init, and that still works.

-verbose
    Run ppmrough in verbose mode. It reports all parameters on Standard Error.

SEE ALSO
ppmmake(1) , pnmcat(1) , ppmtopgm(1) , ppm(1) ,

HISTORY

This program was added to Netpbm in Release 10.9 (September 2002).

AUTHOR
Copyright (C) 2002 by Eckard Specht.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/ppmrough.html